<?php
if ($_GET['submit'] == 'Submit'){
//var_dump($_GET['cars']);
    foreach ($_GET['cars'] as $value){
 // echo $key.' '.$value.'<br/>';
        echo $value.'<br/>';
    }
}
?>
<form action="<?php echo $_SERVER['PHP_SELF'];?>" method="get">
<select multiple name="cars[]">
  <option value="volvo">Volvo</option>
  <option value="saab">Saab</option>
  <option value="opel">Opel</option>
  <option value="audi">Audi</option>
</select>
    <input type="submit" name="submit" value="Submit">
    </form>